//
//  LLDragDeleteBtn.m
//  拖拽
//
//  Created by lijianli on 2017/3/18.
//  Copyright © 2017年 lijianli. All rights reserved.
//

#import "LLDragDeleteBtn.h"

@implementation LLDragDeleteBtn

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
 */
- (void)drawRect:(CGRect)rect {
    // Drawing code
    CGFloat w = rect.size.width;
    CGFloat h = rect.size.height;
    CGFloat radius = MIN(w, h) / 2.0f;
    
    self.backgroundColor = [UIColor grayColor];
    self.layer.masksToBounds = YES;
    self.layer.cornerRadius = radius;
    
    CGContextRef context = UIGraphicsGetCurrentContext();

    
    CGContextBeginPath(context);
    
    UIBezierPath *bezierPath = [UIBezierPath bezierPath];
    CGContextMoveToPoint(context, w / 4 , h / 4);
    CGContextAddLineToPoint(context, w / 4 * 3, h /4 * 3);
    CGContextMoveToPoint(context, w / 4, h / 4 * 3);
    CGContextAddLineToPoint(context, w / 4 * 3, h / 4);
    CGContextAddPath(context, bezierPath.CGPath);
    
    CGContextSetLineWidth(context, 0.75f);
    CGContextSetStrokeColorWithColor(context, [UIColor whiteColor].CGColor);
    CGContextStrokePath(context);
}

@end
